Adding changes in the Gentoo ebuild from Tiziano Müller. v0.5.4
authorviric@mandarina
Sat, 26 Apr 2008 23:46:51 +0200
changeset 213 d18e1091fae9
parent 212 0bd944d8babf
child 214 3d56aa23a670
Adding changes in the Gentoo ebuild from Tiziano Müller.
http://bugs.gentoo.org/show_bug.cgi?id=198909
web/ts-0.5.4.ebuild
--- a/web/ts-0.5.4.ebuild	Sat Apr 26 23:42:11 2008 +0200
+++ b/web/ts-0.5.4.ebuild	Sat Apr 26 23:46:51 2008 +0200
@@ -1,23 +1,32 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
-inherit eutils
+inherit toolchain-funcs
 
-DESCRIPTION="A comfortable way of running batch jobs"
+DESCRIPTION="TaskSpooler is a comfortable way of running batch jobs"
 HOMEPAGE="http://vicerveza.homeunix.net/~viric/soft/ts/"
 SRC_URI="http://vicerveza.homeunix.net/~viric/soft/ts/${P}.tar.gz"
-
-LICENSE="GPL"
+LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~amd64 ~x86"
 IUSE=""
 
 DEPEND=""
 RDEPEND=""
 
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+
+	sed -i \
+		-e 's|CFLAGS=|CFLAGS+=|' \
+		-e 's|-g -O0||' \
+		Makefile || die "sed failed"
+}
+
 src_compile() {
-	emake || die "emake failed"
+	emake CC=$(tc-getCC) || die "emake failed"
 }
 
 src_install() {
@@ -26,3 +35,7 @@
 	doman ts.1
 	dodoc Changelog OBJECTIVES PORTABILITY PROTOCOL README TRICKS
 }
+
+src_test() {
+	PATH="${D}/usr/bin:${PATH}" ./testbench.sh || die "tests failed"
+}